Subject: RE: (ngtrans) Re: including ipv4 address space into ipv6 address space

From: "Christian Huitema" <[email-masked]>
Date: Tue, 13 Nov 2001 09:53:48 -0800

> For this reason, it would not reasonable for an application running
> on an IPv6 host to treat a "subsumed" IPv4 address as if it were the
> address of an IPv6 host.  For similar reasons, it would not be
reasonable
> for an ISP to impose DNS translators and NAT-PTs on its IPv6 customers
> that provided pseudo-IPv6 addresses for IPv4 hosts.  These things can
be
> useful in limited-purpose environments, but they need to be explictly
> chosen by the customer rather than imposed by default.

I agree with Keith here. The current NAT-PT specification mandates that
DNS requests be passed through an application gateway, that AAAA
requests be mapped to A requests, etc. This is very debatable: it should
indeed be possible to request an A record over IPv6, or an AAAA record
over IPv4. At a minimum, the DNS-ALG behavior of NAT-PT should be made
optional. 

-- Christian Huitema